Permalink
Browse files

@C Kompatibilitaet zu Jameica 2.2 leider doch nicht moeglich

  • Loading branch information...
1 parent 16f9a2b commit 78beb4300765954e7dd723957f3317ff049522bb willuhn committed Mar 29, 2012
View
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="ISO-8859-1"?>
-<plugin name="jameica.ca" version="1.0" class="de.willuhn.jameica.ca.Plugin"
+<plugin name="jameica.ca" version="2.3.0" class="de.willuhn.jameica.ca.Plugin"
xmlns="http://www.willuhn.de/schema/jameica-plugin"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.willuhn.de/schema/jameica-plugin ">
@@ -10,7 +10,7 @@
<homepage>http://www.willuhn.de/products/jameica/extensions.php#jameica.ca</homepage>
<license>GPL - http://www.gnu.org/copyleft/gpl.html</license>
- <requires jameica="2.2.0+">
+ <requires jameica="2.3.0+">
</requires>
<classfinder>
@@ -1,7 +1,7 @@
/**********************************************************************
* $Source: /cvsroot/jameica/jameica.ca/src/de/willuhn/jameica/ca/gui/input/SelectFormatInput.java,v $
- * $Revision: 1.4 $
- * $Date: 2012/03/29 20:57:15 $
+ * $Revision: 1.5 $
+ * $Date: 2012/03/29 21:14:17 $
* $Author: willuhn $
* $Locker: $
* $State: Exp $
@@ -51,7 +51,7 @@ public SelectFormatInput()
List<Format> list = new ArrayList<Format>();
try
{
- ClassFinder finder = Application.getPluginLoader().getPlugin(Plugin.class).getResources().getClassLoader().getClassFinder(); // COMPAT zu Jameica 2.2
+ ClassFinder finder = Application.getPluginLoader().getManifest(Plugin.class).getClassLoader().getClassFinder();
Class<Format>[] classes = finder.findImplementors(Format.class);
for (Class<Format> c:classes)
{
@@ -76,6 +76,9 @@ public SelectFormatInput()
/**********************************************************************
* $Log: SelectFormatInput.java,v $
+ * Revision 1.5 2012/03/29 21:14:17 willuhn
+ * @C Kompatibilitaet zu Jameica 2.2 leider doch nicht moeglich
+ *
* Revision 1.4 2012/03/29 20:57:15 willuhn
* @C Kompatibilitaet zu Jameica 2.2 wieder hergestellt
*
@@ -1,7 +1,7 @@
/**********************************************************************
* $Source: /cvsroot/jameica/jameica.ca/src/de/willuhn/jameica/ca/gui/wizzard/WizzardUtil.java,v $
- * $Revision: 1.5 $
- * $Date: 2012/03/29 20:57:15 $
+ * $Revision: 1.6 $
+ * $Date: 2012/03/29 21:14:17 $
* $Author: willuhn $
* $Locker: $
* $State: Exp $
@@ -37,7 +37,7 @@
try
{
- ClassFinder finder = Application.getPluginLoader().getPlugin(Plugin.class).getResources().getClassLoader().getClassFinder(); // COMPAT zu Jameica 2.2
+ ClassFinder finder = Application.getPluginLoader().getManifest(Plugin.class).getClassLoader().getClassFinder();
Class<CertificateWizzard>[] classes = finder.findImplementors(CertificateWizzard.class);
for (Class<CertificateWizzard> c:classes)
{
@@ -67,6 +67,9 @@
/**********************************************************************
* $Log: WizzardUtil.java,v $
+ * Revision 1.6 2012/03/29 21:14:17 willuhn
+ * @C Kompatibilitaet zu Jameica 2.2 leider doch nicht moeglich
+ *
* Revision 1.5 2012/03/29 20:57:15 willuhn
* @C Kompatibilitaet zu Jameica 2.2 wieder hergestellt
*

0 comments on commit 78beb43

Please sign in to comment.